# this is <DL1logger_syslog-ng_local.conf>
# ============================================================================
# configuration file for syslog-ng on DL1 recording host
# ------------------------------------------------------
# 2019-06-19
# 2022-07-04 switch to syslog port
# ----------------------------------------------------------------------------
# we use the syslog port
# see /etc/services
# syslog-conn        601/tcp      # Reliable Syslog Service  [RFC3195]
#
# make sure to open this port in the firewall on the receiving host
# ============================================================================
# BFO Thies DL1
destination dl1logall { file("/var/log/dl1logall" fsync(yes) perm(0644)); };
destination dl1log { file("/var/log/dl1log" fsync(yes) perm(0644)); };
destination dl1logremote1 { tcp("192.168.1.41" port(601)); };
destination dl1logremote2 { tcp("192.168.1.3" port(601)); };
filter f_dl1     { match("DL1logger"); };
filter f_dl1_notice     { match("DL1logger") and not level(info); };
log { source(src); filter(f_dl1); destination(dl1logall); };
log { source(src); filter(f_dl1_notice); destination(dl1log); };
log { source(src); filter(f_dl1); destination(dl1logremote1); };
log { source(src); filter(f_dl1); destination(dl1logremote2); };
#
# remove DL1 messages from normal system log
# replace the standard filter by the following filter:
## filter f_messages   { not facility(news, mail) and not filter(f_iptables) 
##   and not filter(f_dl1); };
# 
# ----- END OF DL1logger_syslog-ng_local.conf ----- 
